# Spec BadLexicalCast
Throw on bad lexical casts.

Extends | ParseError
All Extended | ParseError, RuntimeError
Defined in | <seqan/stream.h>
Signature | `struct BadLexicalCast : ParseError;`

## Member Function Overview

- `BadLexicalCast::BadLexicalCast(target, source);`
  Constructor.

### Member Functions Inherited From ParseError

- `ParseError`

### Member Functions Inherited From RuntimeError

- `RuntimeError`

## Member Functions Detail

### `BadLexicalCast::BadLexicalCast(target, source);`

Constructor.

#### Parameters

`target` | Target value, used as a tag only.
`source` | Source value, a sequence of `char`.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class BadLexicalCast
     *
     * @extends ParseError
     *
     * @headerfile <seqan/stream.h>
     *
     * @brief Throw on bad lexical casts.
     *
     * @signature struct BadLexicalCast : ParseError;
     *
     * @fn BadLexicalCast::BadLexicalCast
     *
     * @brief Constructor.
     *
     * @signature BadLexicalCast::BadLexicalCast(target, source);
     *
     * @param[in] target Target value, used as a tag only.
     * @param[in] source Source value, a @link StringConcept sequence @endlink of
     *                   <tt>char</tt>.
     */